- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Creates a Session.
If the Session to create already exists, an ALREADY_EXISTS error is returned.
HTTP request
POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/dataStores/*}/sessions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Full resource name of parent data store. Format: |
Query parameters
| Parameters | |
|---|---|
sessionId |
Optional. The ID to use for the session, which will become the final component of the session's resource name. This value should be 1-63 characters, and valid characters are /[a-z0-9][a-z0-9-]{0,61}[a-z0-9]/. If not specified, a unique ID will be generated. |
Request body
The request body contains an instance of Session.
Response body
If successful, the response body contains a newly created instance of Session.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/discoveryengine.assist.readwritehttps://www.googleapis.com/auth/discoveryengine.readwritehttps://www.googleapis.com/auth/discoveryengine.serving.readwrite
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
discoveryengine.sessions.create
For more information, see the IAM documentation.